---
title: React Paper component
components: Paper
githubLabel: 'component: Paper'
---

# Paper

<p class="description">In Material Design, the physical properties of paper are translated to the screen. </p>

The background of an application resembles the flat, opaque texture of a sheet of paper, and an application's behavior mimics paper's ability to be re-sized, shuffled, and bound together in multiple sheets.

{{"component": "modules/components/ComponentLinkHeader.js"}}

## Basic paper

{{"demo": "pages/components/paper/SimplePaper.js", "bg": true}}

## Variants

If you need an outlined surface, use the `variant` prop.

{{"demo": "pages/components/paper/Variants.js", "bg": "inline"}}

## Elevation

The elevation can be used to establish a hierachy between other content. In practical terms, the elevation controls the size of the shadow applied to the surface. In dark mode, raising the elevation also makes the surface lighter.

{{"demo": "pages/components/paper/Elevation.js", "bg": "inline"}}
