# サンプルプロジェクト

<p class="description">A selection of example projects to get started with.</p>

## Official examples

[GitHubリポジトリ](https://github.com/mui-org/material-ui)の下の[`/examples`](https://github.com/mui-org/material-ui/tree/next/examples)フォルダにいくつかのサンプルプロジェクトを用意しています。

<!-- #default-branch-switch -->

- https://github.com/mui-org/material-ui/tree/master/examples/nextjs
- [Create React App](https://github.com/mui-org/material-ui/tree/next/examples/create-react-app) ([TypeScriptバージョン](https://github.com/mui-org/material-ui/tree/next/examples/create-react-app-with-typescript))
- [Gatsby](https://github.com/mui-org/material-ui/tree/next/examples/gatsby)
- [Gatsby Theme](https://github.com/mui-org/material-ui/tree/next/examples/gatsby-theme)
- [Preact](https://github.com/mui-org/material-ui/tree/next/examples/preact)
- [CDN](https://github.com/mui-org/material-ui/tree/next/examples/cdn)
- [Plain server-side](https://github.com/mui-org/material-ui/tree/next/examples/ssr)
- [Use styled-components as style engine](https://github.com/mui-org/material-ui/tree/next/examples/create-react-app-with-styled-components) ([TypeScript version](https://github.com/mui-org/material-ui/tree/next/examples/create-react-app-with-styled-components-typescript))

Create React AppはReactを学ぶのに良いプロジェクトです。 どのプロジェクトが自分のニーズに最も適しているか知る為に[利用可能な代替案](https://github.com/facebook/create-react-app/blob/master/README.md#popular-alternatives)をみてみてください。

このドキュメントサイトのソースコードもリポジトリに含まれています。 少しだけ複雑なプロジェクトです。 [`/docs`](https://github.com/mui-org/material-ui/tree/master/docs)フォルダのビルド手順を確認してください。

## 更に高度なサンプルプロジェクト

より完全で現実的な例から始めたい場合 [プレミアムテーマ & テンプレート](https://material-ui.com/store/?utm_source=docs&utm_medium=referral&utm_campaign=example-projects-store) をご覧ください:

### Gratuit

- [GraphQL API and Relay Starter Kit](https://github.com/kriasoft/graphql-starter):

  - ![Stars](https://img.shields.io/github/stars/kriasoft/graphql-starter.svg?style=social&label=Star)
  - GraphQL API project using code-first design (TypeScript, OAuth, GraphQL.js, Knex, Cloud SQL)
  - Web application project pre-configured with Webpack v5, TypeScript, React, Relay, Material UI
  - Serverless deployment: `api` -> Cloud Functions, `web` -> Cloudflare Workers
  - Client-side page routing/rendering at CDN edge locations, lazy loading
  - Optimized for fast CI/CD builds and deployments using Yarn v2 monorepo design

- [React Most Wanted](https://github.com/TarikHuber/react-most-wanted):

  - ![Stars](https://img.shields.io/github/stars/TarikHuber/react-most-wanted.svg?style=social&label=Star)
  - Create React Appによる生成
  - 単一のCLIコマンドで新しいプロジェクトを開始するカスタムCreate React Appスクリプト
  - 公式のFirebase Web Auth UIを使用した認証を含むFirebase用のビルド
  - エラー処理（404）および遅延ロードを含むReact Routerによるルーティング
  - すべてのPWA機能が含まれています（SW、通知、遅延インストールプロンプトなど）
  - 最適化されたスケーラブルなパフォーマンス（すべてLighthouseで最大100ポイント）

- [React SaaS Template](https://github.com/dunky11/react-saas-template):

  - ![Stars](https://img.shields.io/github/stars/dunky11/react-saas-template.svg?style=social&label=Star)
  - Create React Appによる生成
  - Features a landing page, a blog, an area to login/register and an admin-dashboard
  - Fully routed using react-router
  - Lazy loads components to boost performance
  - Components for statistics, text with emoji support, image upload and much more...

- [Material Sense](https://github.com/alexanmtz/material-sense):

  - ![Stars](https://img.shields.io/github/stars/alexanmtz/material-sense.svg?style=social&label=Star)
  - rechartsを用いたグラフ
  - ナビゲーションのサンプルに含まれるReact Router
  - プロダクションビルド用のNginxサーバ含むdockerコンテナ
  - Create React Appによる生成

- [RMUIF](https://github.com/rmuif/web):

  - ![Stars](https://img.shields.io/github/stars/rmuif/web.svg?style=social&label=Star)
  - Bootstrapped with Create React App, the same tooling works from the get-go
  - Built on top of Firebase with all their products for the web included
  - Robust routing with React Router including protected routes and error handling
  - フルスクリーンダイアログと react-swipeable-viewsによる広範なモバイルサポートタブ用
  - Cross-platform application monitoring with a focus on error reporting with Sentry

### 有料

- [ScaffoldHub](https://scaffoldhub.io/?partner=1):

  - Build your complete application with this online tool
  - Choose your framework and library (React & Material-UI!)
  - Choose your database (SQL, MongoDB or Firestore)
  - Model your database and application with the intuitive GUI
  - Generate your application, including a complete scaffolded backend
  - Preview your application online, and download the generated code

- [Divjoy](https://divjoy.com?via=material-ui):

  - Create your Material-UI app in minutes.
  - You'll get a nice template, authentication, database integration, subscription payments, and more.
