# 学习使用 Material-UI

<p class="description">您是第一次接触 Material-UI 吗? 如果你知道从哪里开始，就很容易学会！ 而接下来的教程将帮助你快速入门。</p>

学习 Material-UI 的开发者来自于不同的背景，也使用着不同的学习方法。 Whether you prefer a more theoretical or practical approach, we hope you'll find this section helpful. 与任何新技术一样，Material-UI 的确有一个学习曲线。 与任何新技术一样，Material-UI 的确有一个学习曲线。 有了练习和耐心，你很快就会掌握其中的诀窍。

## First example

您可以在 [用法页面](/getting-started/usage/#quick-start) 找到一个带有实时编辑器的小小的 Material-UI 示例。 Even if you don't know anything about Material-UI yet, try changing the code and see how it affects the result.

## Example projects

我们托管了 [一些范例项目](/getting-started/example-projects/)，他们都提供了开发和部署一个 React 网站所必须的架构。

## 模板

我们提供了一些 [基本模板的选项](/getting-started/templates/) 来帮助您开始开发应用程序。

## 推荐资源

首次学习 Material-UI 时，您可能会发现一些第三方博客文章，书籍和视频课程反而会比官方文档更有帮助。 以下是一些推荐资源，其中一些是免费的。

### 免费的资源

- **Introduction to Material-UI**：一系列涵盖所有重要的 Material-UI 组件的视频。
  - 📹 [The videos](https://www.youtube.com/watch?v=pHclLuRolzE&list=PLQg6GaokU5CwiVmsZ0d_9Zsg_DnIP_xwr)
- **Meet Material-UI — your new favorite user interface library**: 一篇博客文章，指导您构建Todo MVC, 同时涵盖 Material-UI 的一些重要概念。
  - 📹 [The videos](https://www.youtube.com/watch?v=bDkB3LoQKxs)
- **Learn React & Material-UI**：一系列涵盖所有重要的 Material-UI 组件的视频。
  - 📝 [The blog post](https://medium.freecodecamp.org/meet-your-material-ui-your-new-favorite-user-interface-library-6349a1c88a8c)
- **Getting Started With Material-UI For React**：一篇指导您构建简单的卡片列表的博文。
  - 📹 [The videos](https://www.youtube.com/watch?v=xm4LX5fJKZ8&list=PLcCp4mjO-z98WAu4sd0eVha1g-NMfzHZk)
- **Elegant UX in React with Material-UI**：一篇涵盖某些重要的 Material-UI 概念的博客文章
  - 📝 [The blog post](https://medium.com/codingthesmartway-com-blog/getting-started-with-material-ui-for-react-material-design-for-react-364b2688b555)
  - 📹 [The video](https://www.youtube.com/watch?v=PWadEeOuv5o)
- **Implement high fidelity designs**：一篇博客文章，涵盖了一些重要的 Material-UI 概念。
  - 📝 [The blog post](https://alligator.io/react/material-ui/)

### 付费的资源

- **Implement high fidelity designs**：在设计与开发之间架起一座桥梁。 将详细的设计一点点分解，并使用 Material-UI 和 React 来将其在现实生活中实现。

  - 💻 [The Course](https://click.linksynergy.com/deeplink?id=IVuPfk1F/Ow&mid=39197&murl=https%3A%2F%2Fwww.udemy.com%2Fcourse%2Fimplement-high-fidelity-designs-with-material-ui-and-reactjs%2F)

- **Apply Google Material Design**：本课程教授 Google Material Design 的基础知识，以及如何使用 Material-UI 和 React 开发一个端到端的航班搜索和预订应用。

  - 📹 [Watch Course Trailer](https://www.youtube.com/watch?v=hhZ6yFvCWho)
  - 💻 [The Course](https://bonsaiilabs.com/courseDetail/material-ui-with-react)

- **Cookbook**：通过使用 Material-UI 在 React 中实现 Material Design 原则来构建现代应用程序。
  - 📘 [The book](https://www.amazon.com/gp/product/1789615224/)

[![参考手册](/static/blog/material-ui-v4-is-out/cookbook.png)](https://www.amazon.com/gp/product/1789615224/)

- **Builder Book**: Learn how to build a full-stack JavaScript and SaaS web application from scratch, using a Modern JavaScript stack and Material-UI.
  - 📘 [书](https://builderbook.org/)
