# Unterstützte Komponenten

<p class="description">Im Folgenden finden Sie eine Liste der Komponenten und Funktionen des Material Design. Die derzeit von Material-UI unterstützten Komponenten werden mit ✓ hervorgehoben.</p>

While we strive to follow the guidelines where practical (applying common sense where guidelines contradict - a more common occurrence than one might expect), we do not expect to support every component, nor every feature of every component, but rather to provide the building blocks to allow developers to create compelling user interfaces and experiences.

Wenn Sie Unterstützung für eine Komponente oder ein Feature hinzufügen möchten, welche hier nicht markiert sind, suchen Sie bitte nach dem entsprechenden [GitHub-Issue](https://github.com/mui-org/material-ui/issues) oder erstellen Sie ein neues, um die Realisierung zu besprechen, bevor Sie ein Pull-Request absenden.

- **[Painéis de Expansão](https://material.io/archive/guidelines/components/expansion-panels.html) ✓** (*Legado Material v1*)
- App bar
  - **[Oben](https://material.io/design/components/app-bars-top.html) ✓**
  - **[Unten](https://material.io/design/components/app-bars-bottom.html) ✓**
- **[Banner](https://material.io/design/components/banners.html)** ([ Kann zusammengesetzt werden ](https://medium.com/material-ui/introducing-material-ui-design-system-93e921beb8df))
- **[Listas de Imagem](https://material.io/design/components/image-lists.html) ✓** (também conhecido como Grade Lista)********
- ****** [ Toolbars](https://material.io/archive/guidelines/components/toolbars.html) ✓**(Veraltetes Material v1)****
  - **[ Text & enthaltene Schaltflächen (früher flach & angehoben)](https://material.io/design/components/buttons.html) ✓**
  - **[Schalter (Toggle buttons)](https://material.io/design/components/buttons.html#buttons-toggle-buttons) ~** ([Lab](/components/about-the-lab/))
  - **[Icon toggle buttons](https://material.io/design/components/buttons.html#toggle-button) ✓** (Custom Checkbox)
- **[Cards](https://material.io/design/components/cards.html) ✓**
  - Transições:
    - **[Schnellzugriff (Speed Dial)](https://material.io/design/components/buttons-floating-action-button.html#types-of-transitions) ~** ([Lab](/components/about-the-lab/))
    - [Menu](https://material.io/design/components/buttons-floating-action-button.html#types-of-transitions)
    - [Morph](https://material.io/design/components/buttons-floating-action-button.html#types-of-transitions)
    - [Full screen](https://material.io/design/components/buttons-floating-action-button.html#types-of-transitions)
  - **[Extended FAB](https://material.io/design/components/buttons-floating-action-button.html#extended-fab) ✓**
    - Speed dial
- **[Chips](https://material.io/design/components/chips.html) ✓**
- **[Data tables](https://material.io/design/components/data-tables.html) ✓**
  - **Sortable ✓**
  - [Choice](https://material.io/design/components/chips.html#choice-chips)
  - [Filter](https://material.io/design/components/chips.html#filter-chips)
  - [Action](https://material.io/design/components/chips.html#action-chips)
- **[Dialogs](https://material.io/design/components/dialogs.html) ✓**
  - **[Alert dialog](https://material.io/design/components/dialogs.html#alert-dialog) ✓**
  - **Selectable ✓**
  - **[Confirmation dialogs](https://material.io/design/components/dialogs.html#confirmation-dialog) ✓**
- **[Dividers](https://material.io/design/components/dividers.html) ✓**
  - **[Full bleed](https://material.io/design/components/dividers.html#types) ✓**
  - **[Diálogos simples](https://material.io/design/components/dialogs.html#simple-dialog) ✓** (Pode ser composto com Dialog e a List.)
  - **[Middle](https://material.io/design/components/dividers.html#types) ✓**
  - **[Subheader](https://material.io/design/components/dividers.html#types) ✓**
- **[Inset](https://material.io/design/components/dividers.html#types) ✓**
  - **[Inset](https://material.io/design/components/dividers.html#types) ✓**
  - **[Inset](https://material.io/design/components/dividers.html#types) ✓**
  - **[Inset](https://material.io/design/components/dividers.html#types) ✓**
  - **[Inset](https://material.io/design/components/dividers.html#types) ✓**
- **[Listas de Imagem](https://material.io/design/components/image-lists.html) ✓** (também conhecido como Grade Lista)********
- ****[Listas de Imagem](https://material.io/design/components/image-lists.html) ✓** (também conhecido como Grade Lista)**********
  - [Types:](https://material.io/design/components/lists.html#types)
    - **Single line ✓**
    - **Two line ✓**
    - Three line
  - **Avatar ✓**
  - **Contextual ✓**
  - Thumbnail
  - **Controls ✓**
    - **Checkbox ✓**
    - **Expand/collapse ✓** (bzw. Verschachtelt)
    - **Switch ✓**
    - Reorder
- ******** [ Toolbars](https://material.io/archive/guidelines/components/toolbars.html) ✓**(Veraltetes Material v1)******
  - **[Dropdown menu](https://material.io/design/components/menus.html#dropdown-menu) ✓** (Can be composed)
    - [Cascade](https://material.io/design/components/menus.html#dropdown-menu)
  - [Exposed dropdown menus](https://material.io/design/components/menus.html#exposed-dropdown-menu)
    - **Text field dropdown menu ✓** (Select)
    - Editable dropdown menu
  - **Helper text ✓**
- **[Selection controls](https://material.io/design/components/selection-controls.html) ✓**
  - **[Checkbox](https://material.io/design/components/selection-controls.html#checkboxes) ✓**
  - **[Radio button](https://material.io/design/components/selection-controls.html#radio-buttons) ✓**
  - **[Loading](https://material.io/archive/guidelines/components/progress-activity.html) ✓** (*Veraltetes Material v1*)
- **[Sliders](https://material.io/design/components/sliders.html) ✓**
  - **[Continuous](https://material.io/design/components/sliders.html#continuous-slider) ✓**
  - **[Discrete](https://material.io/design/components/sliders.html#discrete-slider) ✓**
  - **[Switch](https://material.io/design/components/selection-controls.html#switches) ✓**
- **[Switch](https://material.io/design/components/selection-controls.html#switches) ✓**
  - **[Circular](https://material.io/design/components/progress-indicators.html#circular-progress-indicators) ✓**
  - **[Switch](https://material.io/design/components/selection-controls.html#switches) ✓**
- **[Snackbars](https://material.io/design/components/snackbars.html) ✓** (*Veraltetes Material v1*)
- **[Subheaders](https://material.io/archive/guidelines/components/subheaders.html) ✓** (*Legacy Material v1*)
  - **[Horizontal](https://material.io/archive/guidelines/components/steppers.html#steppers-types-of-steppers) ✓**
  - **[Vertical](https://material.io/archive/guidelines/components/steppers.html#steppers-types-of-steppers) ✓**
  - [Menu](https://material.io/archive/guidelines/components/subheaders.html#subheaders-list-subheaders)
- **[Steppers](https://material.io/archive/guidelines/components/steppers.html) ✓** (*Legacy Material v1*)
  - **[Fixed tabs](https://material.io/design/components/tabs.html#fixed-tabs) ✓**
  - **[Scrollable tabs](https://material.io/design/components/tabs.html#scrollable-tabs) ✓**
  - **[Mobile steps](https://material.io/archive/guidelines/components/steppers.html#steppers-types-of-steps) ✓**
- ******** [ Toolbars](https://material.io/archive/guidelines/components/toolbars.html) ✓**(Veraltetes Material v1)******
  - **[Tooltips](https://material.io/design/components/tooltips.html) ✓**
  - **[Filled](https://material.io/design/components/text-fields.html#filled-text-field) ✓**
- **[Outline](https://material.io/design/components/text-fields.html#outlined-text-field) ✓**
  - ** [ Standard](https://material.io/archive/guidelines/components/text-fields.html) ✓**(Legacy Material v1)
  - **[Outline](https://material.io/design/components/text-fields.html#outlined-text-field) ✓**
  - **[Outline](https://material.io/design/components/text-fields.html#outlined-text-field) ✓**
  - [Types](https://material.io/design/components/text-fields.html#input-types):
    - **Single-line ✓**
    - **Multi-line ✓**
    - Text-area
    - **Full-width ✓**
  - [Assistive elements:](https://material.io/design/components/text-fields.html#anatomy)
    - **Helper text ✓**
    - **Error message ✓**
    - **Icon ✓**
    - Character counter
- ** [ Toolbars](https://material.io/archive/guidelines/components/toolbars.html) ✓**(Veraltetes Material v1)
- **[Tooltips](https://material.io/design/components/tooltips.html) ✓**
- **Desktop ✓**
- **Desktop ✓**
